Part API

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part API and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română
(Novembre 2018) Ces informations peuvent être incomplètes et obsolètes. Pour la dernière API, voir l'auto-génération de la documentation de l'API.


Le module Part Workbench Part.png est une connexion directe entre FreeCAD et le noyau OpenCasCade. Il fournit principalement des TopoShapes qui sont les types d'objets principaux utilisés par OpenCascade. Le module Part contient également une variété de fonctions utiles pour créer et manipuler des topoShapes. Exemple :

import Part
mycube = Part.makeBox(2,2,2)
Part.show(mycube)
Method.png __fromPythonOCC__ ( OCC.Object )

Description : Méthode d'assistance pour convertir un shape pythonocc en un shape interne

Retourne : Un Part.Shape


Method.png __sortEdges__ ( list of edges )

Description : Méthode d'assistance pour trier une liste d'arêtes (edges) non triée de manière à ce que les sommets de début et de fin de deux arêtes consécutives coïncident géométriquement. Il renvoie une liste unique d'arêtes et l'algorithme s'arrête après le premier ensemble d'arêtes connectées, ce qui signifie que la liste de sortie peut être plus petite que la liste d'entrée. La liste triée peut être utilisée pour créer un fil.

Retourne : Une liste d'arêtes (edges)


Method.png __toPythonOCC__ ( Part.Shape )

Description : Méthode d'assistance pour convertir une forme interne en une forme pythonocc

Retourne : Un OCC.Shape


Method.png cast_to_shape ( Part.Shape )

Description : Cast du type de forme réelle

Retourne :


Method.png export ( list,string )

Description : Exporte une liste d'objets dans un seul fichier.

Retourne :


Method.png getSortedClusters ( list of edges )

Description : Méthode d'assistance pour trier et grouper une variété des bords

Retourne :


Method.png insert ( string,string )

Description : Insère le fichier (chemin d'accès donné comme premier argument) dans le document donné (second argument).

Retourne :


Method.png makeBox ( length,width,height,[pnt,dir] )

Description : Crée une zone située à ce point avec les dimensions (longueur, largeur, hauteur). Par défaut le point est au Vecteur(0,0,0) et la direction au Vecteur(0,0,1)

Retourne : Crée une forme


Method.png makeCircle ( radius,[pnt,dir,angle1,angle2] )

Description : Fait un cercle d'un rayon donné. Par défaut le point est au Vecteur(0,0,0), et la direction est, Vecteur(0,0,1), angle1 est 0° et angle2 est 360°

Retourne : Crée une forme


Method.png makeCompound ( list )

Description : Crée un compound parmi une liste de formes.

Retourne : Crée une forme


Method.png makeCone ( radius1,radius2,height,[pnt,dir,angle] )

Description : Fait un cône avec les rayons et la hauteur. Par défaut le point est au Vecteur(0,0,0), et la direction est, Vecteur(0,0,1) et l'angle est de 360°

Retourne : Crée une forme


Method.png makeCylinder ( radius,height,[pnt,dir,angle] )

Description : Crée un cylindre avec une taille et un rayon donné. Par défaut le point est au Vecteurr (0,0,0), et la direction est, Vecteur(0,0,1), et, l'angle est de 360°

Retourne : Crée une forme


Method.png makeHelix ( pitch,height,radius,[angle] )

Description : Rend une hélice avec un pas donné, la hauteur et le rayon. Par défaut, une surface cylindrique est utilisée pour créer l'hélice. S'il y a un quatrième paramètre, une surface conique est utilisée à la place

Retourne : Crée une forme


Method.png makeLine ( (x1,y1,z1),(x2,y2,z2) )

Description : Crée une ligne en deux points

Retourne : Crée une forme


Method.png makeLoft ( shapelist<profiles>,[boolean<solid>,boolean<ruled>] )

Description : Crée une forme de loft en utilisant la liste des profils. Crée éventuellement un résultat solide (vs surface/coque) ou une surface lignée.

Retourne : Crée une forme de loft.


Method.png makePlane ( length,width,[pnt,dir] )

Description : Crée un plan. Par défaut le point est au Vecteur(0,0,0) et la direction au Vector(0,0,1)

Retourne : Crée une forme


Method.png makePolygon ( list )

Description : Crée un polygone avec une liste de vecteurs

Retourne : Crée une forme


Method.png makeRevolution ( Curve,[vmin,vmax,angle,pnt,dir] )

Description : Crée une forme de révolution en faisant tourner la courbe, ou une partie de celle-ci autour d'un axe donné par (point, direction). Par défaut, vmin et vmax sont définis aux limites de la courbe, l'angle est de 360°, le point est au Vecteur(0,0,0) et la direction est au Vecteur(0,0,1)

Retourne : Crée une forme


Method.png makeRuledSurface ( Edge or Wire,Edge or Wire )

Description : Crée une surface réglée hors de deux arêtes ou fils. Si les fils sont utilisés ils doivent avoir le même nombre d'arêtes.

Retourne : Crée une forme


Method.png makeShell ( list )

Description : Crée une coquille à partir d'une liste de faces.

Retourne : Crée une forme


Method.png makeSolid ( Part.Shape )

Description : Crée un solide hors du shell, à l'intérieur d'une forme.

Retourne : Crée une forme


Method.png makeSphere ( radius,[pnt, dir, angle1_Debut,angle2_Fin,angle3] )

Description : Crée une sphère de rayon donné. Par défaut le point est au Vecteur(0,0,0), et la direction est au Vecteur(0,0,1), angle1 est -90°, angle2 est 90° et angle3 est 360°

Retourne : Crée une forme


Method.png makeTorus ( radius1,radius2,[pnt,dir,angle1,angle2,angle] )

Description : Crée un tore avec une donnée de rayon d'angles. Par défaut le point est au Vecteur (0,0,0), et la direction est au vecteur (0,0,1), angle1 est 0°, angle2 est 360° et l'angle est de 360°

Retourne : Crée une forme


Method.png makeTube ( edge,float )

Description : Crée un tube.

Retourne : Crée une forme


Method.png open ( string )

Description : Crée un nouveau document et charge le fichier dans le document.

Retourne :


Method.png read ( string )

Description : Charge le fichier et retourne un shape.

Retourne : Une forme


Method.png show ( shape )

Description : Ajouter la forme du document actif ou en crée un si aucun document n'existe.

Retourne :